ChartDirector Ver 4.1 (PHP Edition Edition)

XYChart.getYCoor

Usage

getYCoor(v [, yAxis ])

Description

Gets the y pixel coordinate of a point given the y data value.
Note: You must call BaseChart.layout first before calling this method. It is because ChartDirector needs to perform auto-scaling and determine the axis scale first before it can compute the coordinates.
For a 3D chart, this method will get the pixel coordinate of the data value on the top surface of the chart. Use Layer.getYCoor to obtain the pixel coordinate of the data value on a particular chart layer.

Arguments

Argument | Default | Description
--- | --- | ---
v | (Mandatory) | The y data value.
yAxis | [Null] | The y-axis to use to determine the pixel coordinates of data values. The y-axis may be obtained using XYChart.yAxis, XYChart.yAxis2 or XYChart.addAxis. The default is to use the primary y-axis.

Return Value

The y coordinate of the y data value.

© 2006 Advanced Software Engineering Limited. All rights reserved.